Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::GraphicsDeviceSettings Class Reference

グラフィックスデバイス設定 More...

`#include <GraphicsDeviceSettings.h>`

List of all members.

## Public Member Functions
| GraphicsDeviceSettings ()
| コンストラクタ
| ~GraphicsDeviceSettings ()
| デストラクタ
virtual void | buildPresentationParameters (D3DPRESENT_PARAMETERS *parameters, HWND windowHandle)
| プレゼンテーションパラメータの構築
virtual void | setWindowed (bool isWindowed)
| ウィンドウモードの設定
virtual bool | isWindowed ()
| ウィンドウモードの取得
virtual DimensionI | getBackBufferSize ()
| バックバッファサイズの取得
virtual D3DFORMAT | getBackBufferFormat ()
| バックバッファフォーマットの取得
virtual void | setAdapterInformation (GraphicsAdapterInformation *adapterInformation)
| アダプタ情報の設定
virtual GraphicsAdapterInformation * | getAdapterInformation ()
| アダプタ情報の取得
virtual void | setDeviceInformation (GraphicsDeviceInformation *deviceInformation)
| デバイス情報の設定
virtual GraphicsDeviceInformation * | getDeviceInformation ()
| デバイス情報の取得
virtual void | setDeviceComboInformation (GraphicsDeviceComboInformation *deviceComboInformation)
| デバイスコンボ情報の設定
virtual GraphicsDeviceComboInformation * | getDeviceComboInformation ()
| デバイスコンボ情報の取得
virtual void | setDisplayMode (D3DDISPLAYMODE displayMode)
| ディスプレイモードの設定
virtual D3DDISPLAYMODE | getDisplayMode ()
| ディスプレイモードの取得
virtual bool | getDepthStencilEnabled ()
| 深度、ステンシルが有効か
virtual void | setDepthStencilFormat (D3DFORMAT depthStencilFormat)
| 深度、ステンシルフォーマットの設定
virtual D3DFORMAT | getDepthStencilFormat ()
| 深度、ステンシルフォーマットの取得
virtual void | setMultiSampleType (D3DMULTISAMPLE_TYPE multiSampleType)
| マルチサンプルタイプの設定
virtual D3DMULTISAMPLE_TYPE | getMultiSampleType ()
| マルチサンプルタイプの取得
virtual void | setMultiSampleQuality (u_int multiSampleQuality)
| マルチサンプルクォリティの設定
virtual u_int | getMultiSampleQuality ()
| マルチサンプルクォリティの取得
virtual void | setVertexProcessingType (VertexProcessingType vertexProcessingType)
| 頂点プロセスタイプの設定
virtual VertexProcessingType | getVertexProcessingType ()
| 頂点プロセスタイプの取得
virtual void | setPresentationInterval (u_int presentationInterval)
| プレゼンテーション間隔の設定
virtual u_int | getPresentationInterval ()
| プレゼンテーション間隔の取得
virtual void | setWindowedAdapterInformation (GraphicsAdapterInformation *adapterInformation)
| ウィンドウモードアダプタ情報の設定
virtual GraphicsAdapterInformation * | getWindowedAdapterInformation ()
| ウィンドウモードアダプタ情報の取得
virtual void | setWindowedDeviceInformation (GraphicsDeviceInformation *deviceInformation)
| ウィンドウモードデバイス情報の設定
virtual GraphicsDeviceInformation * | getWindowedDeviceInformation ()
| ウィンドウモードデバイス情報の取得
virtual void | setWindowedDeviceComboInformation (GraphicsDeviceComboInformation *deviceComboInformation)
| ウィンドウモードデバイスコンボ情報の設定
virtual GraphicsDeviceComboInformation * | getWindowedDeviceComboInformation ()
| ウィンドウモードデバイスコンボ情報の取得
virtual void | setWindowedDisplayMode (D3DDISPLAYMODE displayMode)
| ウィンドウモードディスプレイモードの設定
virtual D3DDISPLAYMODE | getWindowedDisplayMode ()
| ウィンドウモードディスプレイモードの取得
virtual void | setWindowedDepthStencilFormat (D3DFORMAT depthStencilFormat)
| ウィンドウモード深度、ステンシルフォーマットの設定
virtual D3DFORMAT | getWindowedDepthStencilFormat ()
| ウィンドウモード深度、ステンシルフォーマットの取得
virtual void | setWindowedMultiSampleType (D3DMULTISAMPLE_TYPE multiSampleType)
| ウィンドウモードマルチサンプルタイプの設定
virtual D3DMULTISAMPLE_TYPE | getWindowedMultiSampleType ()
| ウィンドウモードマルチサンプルタイプの取得
virtual void | setWindowedMultiSampleQuality (u_int multiSampleQuality)
| ウィンドウモードマルチサンプルクォリティの設定
virtual u_int | getWindowedMultiSampleQuality ()
| ウィンドウモードマルチサンプルクォリティの取得
virtual void | setWindowedVertexProcessingType (VertexProcessingType vertexProcessingType)
| ウィンドウモード頂点プロセスタイプの設定
virtual VertexProcessingType | getWindowedVertexProcessingType ()
| ウィンドウモード頂点プロセスタイプの取得
virtual void | setWindowedPresentationInterval (u_int presentationInterval)
| ウィンドウモードプレゼンテーション間隔の設定
virtual u_int | getWindowedPresentationInterval ()
| ウィンドウモードプレゼンテーション間隔の取得
virtual void | setWindowSize (DimensionI size)
| ウィンドウサイズの設定
virtual const DimensionI & | getWindowSize ()
| ウィンドウサイズの取得
virtual void | setFullscreenAdapterInformation (GraphicsAdapterInformation *adapterInformation)
| フルスクリーンモードアダプタ情報の設定
virtual GraphicsAdapterInformation * | getFullscreenAdapterInformation ()
| フルスクリーンモードアダプタ情報の取得
virtual void | setFullscreenDeviceInformation (GraphicsDeviceInformation *deviceInformation)
| フルスクリーンモードデバイス情報の設定
virtual GraphicsDeviceInformation * | getFullscreenDeviceInformation ()
| フルスクリーンモードデバイス情報の取得
virtual void | setFullscreenDeviceComboInformation (GraphicsDeviceComboInformation *deviceComboInformation)
| フルスクリーンモードデバイスコンボ情報の設定
virtual GraphicsDeviceComboInformation * | getFullscreenDeviceComboInformation ()
| フルスクリーンモードデバイスコンボ情報の取得
virtual void | setFullscreenDisplayMode (D3DDISPLAYMODE displayMode)
| フルスクリーンモードディスプレイモードの設定
virtual D3DDISPLAYMODE | getFullscreenDisplayMode ()
| フルスクリーンモードディスプレイモードの取得
virtual void | setFullscreenDepthStencilFormat (D3DFORMAT depthStencilFormat)
| フルスクリーンモード深度、ステンシルフォーマットの設定
virtual D3DFORMAT | getFullscreenDepthStencilFormat ()
| フルスクリーンモード深度、ステンシルフォーマットの取得
virtual void | setFullscreenMultiSampleType (D3DMULTISAMPLE_TYPE multiSampleType)
| フルスクリーンモードマルチサンプルタイプの設定
virtual D3DMULTISAMPLE_TYPE | getFullscreenMultiSampleType ()
| フルスクリーンモードマルチサンプルタイプの取得
virtual void | setFullscreenMultiSampleQuality (u_int multiSampleQuality)
| フルスクリーンモードマルチサンプルクォリティの設定
virtual u_int | getFullscreenMultiSampleQuality ()
| フルスクリーンモードマルチサンプルクォリティの取得
virtual void | setFullscreenVertexProcessingType (VertexProcessingType vertexProcessingType)
| フルスクリーンモード頂点プロセスタイプの設定
virtual VertexProcessingType | getFullscreenVertexProcessingType ()
| フルスクリーンモード頂点プロセスタイプの取得
virtual void | setFullscreenPresentationInterval (u_int presentationInterval)
| フルスクリーンモードプレゼンテーション間隔の設定
virtual u_int | getFullscreenPresentationInterval ()
| フルスクリーンモードプレゼンテーション間隔の取得
## Static Public Member Functions
GraphicsDeviceSettings * | getInstance ()
| インスタンス取得

## Detailed Description

グラフィックスデバイス設定

Definition at line 39 of file GraphicsDeviceSettings.h.

## Member Function Documentation

virtual void Lamp::GraphicsDeviceSettings::buildPresentationParameters | ( | D3DPRESENT_PARAMETERS * | parameters,
|  | HWND | windowHandle
| ) | `[inline, virtual]`

  | プレゼンテーションパラメータの構築 Parameters:
  parameters | [out] プレゼンテーションパラメータへのポインタ
  windowHandle | ウィンドウハンドル
Definition at line 100 of file GraphicsDeviceSettings.h. References getBackBufferFormat(), getBackBufferSize(), getDepthStencilEnabled(), getDepthStencilFormat(), getDisplayMode(), getMultiSampleQuality(), getMultiSampleType(), getPresentationInterval(), Lamp::DimensionI::height, isWindowed(), and Lamp::DimensionI::width. Referenced by Lamp::GraphicsDevice::handlePossibleSizeChange(), Lamp::GraphicsDevice::initialize(), Lamp::GraphicsDevice::presentation(), and Lamp::GraphicsDevice::toggleFullscreen().

virtual GraphicsAdapterInformation* Lamp::GraphicsDeviceSettings::getAdapterInformation | ( |  | ) | `[inline, virtual]`

| アダプタ情報の取得 Returns: アダプタ情報 Definition at line 186 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset().

virtual D3DFORMAT Lamp::GraphicsDeviceSettings::getBackBufferFormat | ( |  | ) | `[inline, virtual]`

| バックバッファフォーマットの取得 Returns: バックバッファフォーマット Definition at line 167 of file GraphicsDeviceSettings.h. References Lamp::GraphicsDeviceComboInformation::getBackBufferFormat(), and getDeviceComboInformation(). Referenced by buildPresentationParameters().

virtual DimensionI Lamp::GraphicsDeviceSettings::getBackBufferSize | ( |  | ) | `[inline, virtual]`

| バックバッファサイズの取得 Returns: バックバッファサイズ Definition at line 153 of file GraphicsDeviceSettings.h. References getDisplayMode(), Lamp::DimensionI::height, isWindowed(), Lamp::DimensionI::set(), and Lamp::DimensionI::width. Referenced by buildPresentationParameters(), and Lamp::GraphicsDeviceCapacity::deviceReset().

virtual bool Lamp::GraphicsDeviceSettings::getDepthStencilEnabled | ( |  | ) | `[inline, virtual]`

| 深度、ステンシルが有効か Returns: 深度、ステンシルが有効ならtrue Definition at line 258 of file GraphicsDeviceSettings.h. References getDepthStencilFormat(). Referenced by buildPresentationParameters(), Lamp::GraphicsDevice::clear(), and Lamp::GraphicsDeviceCapacity::deviceReset().

virtual D3DFORMAT Lamp::GraphicsDeviceSettings::getDepthStencilFormat | ( |  | ) | `[inline, virtual]`

| 深度、ステンシルフォーマットの取得 Returns: 深度、ステンシルフォーマット Definition at line 275 of file GraphicsDeviceSettings.h. Referenced by buildPresentationParameters(), Lamp::GraphicsDeviceCapacity::deviceReset(), and getDepthStencilEnabled().

virtual GraphicsDeviceComboInformation* Lamp::GraphicsDeviceSettings::getDeviceComboInformation | ( |  | ) | `[inline, virtual]`

| デバイスコンボ情報の取得 Returns: デバイスコンボ情報 Definition at line 229 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset(), and getBackBufferFormat().

virtual GraphicsDeviceInformation* Lamp::GraphicsDeviceSettings::getDeviceInformation | ( |  | ) | `[inline, virtual]`

| デバイス情報の取得 Returns: デバイス情報 Definition at line 206 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset(), Lamp::GraphicsDevice::initialize(), and Lamp::GraphicsDevice::toggleFullscreen().

virtual D3DDISPLAYMODE Lamp::GraphicsDeviceSettings::getDisplayMode | ( |  | ) | `[inline, virtual]`

| ディスプレイモードの取得 Returns: ディスプレイモード Definition at line 248 of file GraphicsDeviceSettings.h. Referenced by buildPresentationParameters(), Lamp::GraphicsDeviceCapacity::deviceReset(), and getBackBufferSize().

virtual GraphicsAdapterInformation* Lamp::GraphicsDeviceSettings::getFullscreenAdapterInformation | ( |  | ) | `[inline, virtual]`

| フルスクリーンモードアダプタ情報の取得 Returns: フルスクリーンモードアダプタ情報 Definition at line 546 of file GraphicsDeviceSettings.h.

virtual D3DFORMAT Lamp::GraphicsDeviceSettings::getFullscreenDepthStencilFormat | ( |  | ) | `[inline, virtual]`

| フルスクリーンモード深度、ステンシルフォーマットの取得 Returns: フルスクリーンモード深度、ステンシルフォーマット Definition at line 617 of file GraphicsDeviceSettings.h.

virtual GraphicsDeviceComboInformation* Lamp::GraphicsDeviceSettings::getFullscreenDeviceComboInformation | ( |  | ) | `[inline, virtual]`

| フルスクリーンモードデバイスコンボ情報の取得 Returns: フルスクリーンモードデバイスコンボ情報 Definition at line 583 of file GraphicsDeviceSettings.h.

virtual GraphicsDeviceInformation* Lamp::GraphicsDeviceSettings::getFullscreenDeviceInformation | ( |  | ) | `[inline, virtual]`

| フルスクリーンモードデバイス情報の取得 Returns: フルスクリーンモードデバイス情報 Definition at line 564 of file GraphicsDeviceSettings.h.

virtual D3DDISPLAYMODE Lamp::GraphicsDeviceSettings::getFullscreenDisplayMode | ( |  | ) | `[inline, virtual]`

| フルスクリーンモードディスプレイモードの取得 Returns: フルスクリーンモードディスプレイモード Definition at line 600 of file GraphicsDeviceSettings.h.

virtual u_int Lamp::GraphicsDeviceSettings::getFullscreenMultiSampleQuality | ( |  | ) | `[inline, virtual]`

| フルスクリーンモードマルチサンプルクォリティの取得 Returns: フルスクリーンモードマルチサンプルクォリティ Definition at line 652 of file GraphicsDeviceSettings.h. References u_int.

virtual D3DMULTISAMPLE_TYPE Lamp::GraphicsDeviceSettings::getFullscreenMultiSampleType | ( |  | ) | `[inline, virtual]`

| フルスクリーンモードマルチサンプルタイプの取得 Returns: フルスクリーンモードマルチサンプルタイプ Definition at line 635 of file GraphicsDeviceSettings.h.

virtual u_int Lamp::GraphicsDeviceSettings::getFullscreenPresentationInterval | ( |  | ) | `[inline, virtual]`

| フルスクリーンモードプレゼンテーション間隔の取得 Returns: フルスクリーンモードプレゼンテーション間隔 Definition at line 687 of file GraphicsDeviceSettings.h. References u_int.

virtual VertexProcessingType Lamp::GraphicsDeviceSettings::getFullscreenVertexProcessingType | ( |  | ) | `[inline, virtual]`

| フルスクリーンモード頂点プロセスタイプの取得 Returns: フルスクリーンモード頂点プロセスタイプ Definition at line 670 of file GraphicsDeviceSettings.h.

GraphicsDeviceSettings* Lamp::GraphicsDeviceSettings::getInstance | ( |  | ) | `[inline, static]`

| インスタンス取得 Returns: インスタンス Definition at line 46 of file GraphicsDeviceSettings.h. References Assert, and NULL.

virtual u_int Lamp::GraphicsDeviceSettings::getMultiSampleQuality | ( |  | ) | `[inline, virtual]`

| マルチサンプルクォリティの取得 Returns: マルチサンプルクォリティ Definition at line 313 of file GraphicsDeviceSettings.h. References u_int. Referenced by buildPresentationParameters(), and Lamp::GraphicsDeviceCapacity::deviceReset().

virtual D3DMULTISAMPLE_TYPE Lamp::GraphicsDeviceSettings::getMultiSampleType | ( |  | ) | `[inline, virtual]`

| マルチサンプルタイプの取得 Returns: マルチサンプルタイプ Definition at line 294 of file GraphicsDeviceSettings.h. Referenced by buildPresentationParameters(), and Lamp::GraphicsDeviceCapacity::deviceReset().

virtual u_int Lamp::GraphicsDeviceSettings::getPresentationInterval | ( |  | ) | `[inline, virtual]`

| プレゼンテーション間隔の取得 Returns: プレゼンテーション間隔 Definition at line 352 of file GraphicsDeviceSettings.h. References u_int. Referenced by buildPresentationParameters(), and Lamp::GraphicsDeviceCapacity::deviceReset().

virtual VertexProcessingType Lamp::GraphicsDeviceSettings::getVertexProcessingType | ( |  | ) | `[inline, virtual]`

| 頂点プロセスタイプの取得 Returns: 頂点プロセスタイプ Definition at line 333 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset(), and Lamp::GraphicsDevice::initialize().

virtual GraphicsAdapterInformation* Lamp::GraphicsDeviceSettings::getWindowedAdapterInformation | ( |  | ) | `[inline, virtual]`

| ウィンドウモードアダプタ情報の取得 Returns: ウィンドウモードアダプタ情報 Definition at line 373 of file GraphicsDeviceSettings.h.

virtual D3DFORMAT Lamp::GraphicsDeviceSettings::getWindowedDepthStencilFormat | ( |  | ) | `[inline, virtual]`

| ウィンドウモード深度、ステンシルフォーマットの取得 Returns: ウィンドウモード深度、ステンシルフォーマット Definition at line 443 of file GraphicsDeviceSettings.h.

virtual GraphicsDeviceComboInformation* Lamp::GraphicsDeviceSettings::getWindowedDeviceComboInformation | ( |  | ) | `[inline, virtual]`

| ウィンドウモードデバイスコンボ情報の取得 Returns: ウィンドウモードデバイスコンボ情報 Definition at line 409 of file GraphicsDeviceSettings.h.

virtual GraphicsDeviceInformation* Lamp::GraphicsDeviceSettings::getWindowedDeviceInformation | ( |  | ) | `[inline, virtual]`

| ウィンドウモードデバイス情報の取得 Returns: ウィンドウモードデバイス情報 Definition at line 391 of file GraphicsDeviceSettings.h.

virtual D3DDISPLAYMODE Lamp::GraphicsDeviceSettings::getWindowedDisplayMode | ( |  | ) | `[inline, virtual]`

| ウィンドウモードディスプレイモードの取得 Returns: ウィンドウモードディスプレイモード Definition at line 426 of file GraphicsDeviceSettings.h.

virtual u_int Lamp::GraphicsDeviceSettings::getWindowedMultiSampleQuality | ( |  | ) | `[inline, virtual]`

| ウィンドウモードマルチサンプルクォリティの取得 Returns: ウィンドウモードマルチサンプルクォリティ Definition at line 478 of file GraphicsDeviceSettings.h. References u_int.

virtual D3DMULTISAMPLE_TYPE Lamp::GraphicsDeviceSettings::getWindowedMultiSampleType | ( |  | ) | `[inline, virtual]`

| ウィンドウモードマルチサンプルタイプの取得 Returns: ウィンドウモードマルチサンプルタイプ Definition at line 461 of file GraphicsDeviceSettings.h.

virtual u_int Lamp::GraphicsDeviceSettings::getWindowedPresentationInterval | ( |  | ) | `[inline, virtual]`

| ウィンドウモードプレゼンテーション間隔の取得 Returns: ウィンドウモードプレゼンテーション間隔 Definition at line 513 of file GraphicsDeviceSettings.h. References u_int.

virtual VertexProcessingType Lamp::GraphicsDeviceSettings::getWindowedVertexProcessingType | ( |  | ) | `[inline, virtual]`

| ウィンドウモード頂点プロセスタイプの取得 Returns: ウィンドウモード頂点プロセスタイプ Definition at line 496 of file GraphicsDeviceSettings.h.

virtual const DimensionI& Lamp::GraphicsDeviceSettings::getWindowSize | ( |  | ) | `[inline, virtual]`

| ウィンドウサイズの取得 Returns: ウィンドウサイズ Definition at line 528 of file GraphicsDeviceSettings.h.

virtual bool Lamp::GraphicsDeviceSettings::isWindowed | ( |  | ) | `[inline, virtual]`

| ウィンドウモードの取得 Returns: ウィンドウモードならtrue Definition at line 146 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDevice::adjustWindowForChange(), buildPresentationParameters(), Lamp::GraphicsDevice::clipCursor(), Lamp::GraphicsDeviceCapacity::deviceReset(), Lamp::GraphicsDevice::forceWindowed(), getBackBufferSize(), Lamp::GraphicsDevice::presentation(), Lamp::GraphicsDevice::toggleFullscreen(), and Lamp::GraphicsDevice::windowProcedure().

virtual void Lamp::GraphicsDeviceSettings::setAdapterInformation | ( | GraphicsAdapterInformation * | adapterInformation | ) | `[inline, virtual]`

  | アダプタ情報の設定 Parameters:
  adapterInformation | アダプタ情報
Definition at line 176 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setDepthStencilFormat | ( | D3DFORMAT | depthStencilFormat | ) | `[inline, virtual]`

  | 深度、ステンシルフォーマットの設定 Parameters:
  depthStencilFormat | 深度、ステンシルフォーマット
Definition at line 266 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setDeviceComboInformation | ( | GraphicsDeviceComboInformation * | deviceComboInformation | ) | `[inline, virtual]`

  | デバイスコンボ情報の設定 Parameters:
  deviceComboInformation | デバイスコンボ情報
Definition at line 216 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setDeviceInformation | ( | GraphicsDeviceInformation * | deviceInformation | ) | `[inline, virtual]`

  | デバイス情報の設定 Parameters:
  deviceInformation | デバイス情報
Definition at line 196 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setDisplayMode | ( | D3DDISPLAYMODE | displayMode | ) | `[inline, virtual]`

  | ディスプレイモードの設定 Parameters:
  displayMode | ディスプレイモード
Definition at line 239 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setFullscreenAdapterInformation | ( | GraphicsAdapterInformation * | adapterInformation | ) | `[inline, virtual]`

  | フルスクリーンモードアダプタ情報の設定 Parameters:
  adapterInformation | フルスクリーンモードアダプタ情報
Definition at line 537 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setFullscreenDepthStencilFormat | ( | D3DFORMAT | depthStencilFormat | ) | `[inline, virtual]`

  | フルスクリーンモード深度、ステンシルフォーマットの設定 Parameters:
  depthStencilFormat | フルスクリーンモード深度、ステンシルフォーマット
Definition at line 609 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setFullscreenDeviceComboInformation | ( | GraphicsDeviceComboInformation * | deviceComboInformation | ) | `[inline, virtual]`

  | フルスクリーンモードデバイスコンボ情報の設定 Parameters:
  deviceComboInformation | フルスクリーンモードデバイスコンボ情報
Definition at line 573 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setFullscreenDeviceInformation | ( | GraphicsDeviceInformation * | deviceInformation | ) | `[inline, virtual]`

  | フルスクリーンモードデバイス情報の設定 Parameters:
  deviceInformation | フルスクリーンモードデバイス情報
Definition at line 555 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setFullscreenDisplayMode | ( | D3DDISPLAYMODE | displayMode | ) | `[inline, virtual]`

  | フルスクリーンモードディスプレイモードの設定 Parameters:
  displayMode | フルスクリーンモードディスプレイモード
Definition at line 592 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setFullscreenMultiSampleQuality | ( | u_int | multiSampleQuality | ) | `[inline, virtual]`

  | フルスクリーンモードマルチサンプルクォリティの設定 Parameters:
  multiSampleQuality | フルスクリーンモードマルチサンプルクォリティ
Definition at line 644 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setFullscreenMultiSampleType | ( | D3DMULTISAMPLE_TYPE | multiSampleType | ) | `[inline, virtual]`

  | フルスクリーンモードマルチサンプルタイプの設定 Parameters:
  multiSampleType | フルスクリーンモードマルチサンプルタイプ
Definition at line 626 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setFullscreenPresentationInterval | ( | u_int | presentationInterval | ) | `[inline, virtual]`

  | フルスクリーンモードプレゼンテーション間隔の設定 Parameters:
  presentationInterval | フルスクリーンモードプレゼンテーション間隔
Definition at line 679 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setFullscreenVertexProcessingType | ( | VertexProcessingType | vertexProcessingType | ) | `[inline, virtual]`

  | フルスクリーンモード頂点プロセスタイプの設定 Parameters:
  vertexProcessingType | フルスクリーンモード頂点プロセスタイプ
Definition at line 661 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setMultiSampleQuality | ( | u_int | multiSampleQuality | ) | `[inline, virtual]`

  | マルチサンプルクォリティの設定 Parameters:
  multiSampleQuality | マルチサンプルクォリティ
Definition at line 304 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setMultiSampleType | ( | D3DMULTISAMPLE_TYPE | multiSampleType | ) | `[inline, virtual]`

  | マルチサンプルタイプの設定 Parameters:
  multiSampleType | マルチサンプルタイプ
Definition at line 285 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setPresentationInterval | ( | u_int | presentationInterval | ) | `[inline, virtual]`

  | プレゼンテーション間隔の設定 Parameters:
  presentationInterval | プレゼンテーション間隔
Definition at line 343 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setVertexProcessingType | ( | VertexProcessingType | vertexProcessingType | ) | `[inline, virtual]`

  | 頂点プロセスタイプの設定 Parameters:
  vertexProcessingType | 頂点プロセスタイプ
Definition at line 323 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual void Lamp::GraphicsDeviceSettings::setWindowed | ( | bool | isWindowed | ) | `[inline, virtual]`

  | ウィンドウモードの設定 Parameters:
  isWindowed | ウィンドウモードならtrue
Definition at line 140 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), Lamp::GraphicsDeviceSelector::buildWindowModeSettings(), Lamp::GraphicsDeviceSelector::chooseDeviceSettings(), and Lamp::GraphicsDevice::toggleFullscreen().

virtual void Lamp::GraphicsDeviceSettings::setWindowedAdapterInformation | ( | GraphicsAdapterInformation * | adapterInformation | ) | `[inline, virtual]`

  | ウィンドウモードアダプタ情報の設定 Parameters:
  adapterInformation | ウィンドウモードアダプタ情報
Definition at line 364 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowedDepthStencilFormat | ( | D3DFORMAT | depthStencilFormat | ) | `[inline, virtual]`

  | ウィンドウモード深度、ステンシルフォーマットの設定 Parameters:
  depthStencilFormat | ウィンドウモード深度、ステンシルフォーマット
Definition at line 435 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowedDeviceComboInformation | ( | GraphicsDeviceComboInformation * | deviceComboInformation | ) | `[inline, virtual]`

  | ウィンドウモードデバイスコンボ情報の設定 Parameters:
  deviceComboInformation | ウィンドウモードデバイスコンボ情報
Definition at line 400 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowedDeviceInformation | ( | GraphicsDeviceInformation * | deviceInformation | ) | `[inline, virtual]`

  | ウィンドウモードデバイス情報の設定 Parameters:
  deviceInformation | ウィンドウモードデバイス情報
Definition at line 382 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowedDisplayMode | ( | D3DDISPLAYMODE | displayMode | ) | `[inline, virtual]`

  | ウィンドウモードディスプレイモードの設定 Parameters:
  displayMode | ウィンドウモードディスプレイモード
Definition at line 418 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowedMultiSampleQuality | ( | u_int | multiSampleQuality | ) | `[inline, virtual]`

  | ウィンドウモードマルチサンプルクォリティの設定 Parameters:
  multiSampleQuality | ウィンドウモードマルチサンプルクォリティ
Definition at line 470 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowedMultiSampleType | ( | D3DMULTISAMPLE_TYPE | multiSampleType | ) | `[inline, virtual]`

  | ウィンドウモードマルチサンプルタイプの設定 Parameters:
  multiSampleType | ウィンドウモードマルチサンプルタイプ
Definition at line 452 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowedPresentationInterval | ( | u_int | presentationInterval | ) | `[inline, virtual]`

  | ウィンドウモードプレゼンテーション間隔の設定 Parameters:
  presentationInterval | ウィンドウモードプレゼンテーション間隔
Definition at line 505 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowedVertexProcessingType | ( | VertexProcessingType | vertexProcessingType | ) | `[inline, virtual]`

  | ウィンドウモード頂点プロセスタイプの設定 Parameters:
  vertexProcessingType | ウィンドウモード頂点プロセスタイプ
Definition at line 487 of file GraphicsDeviceSettings.h.

virtual void Lamp::GraphicsDeviceSettings::setWindowSize | ( | DimensionI | size | ) | `[inline, virtual]`

  | ウィンドウサイズの設定 Parameters:
  size | ウィンドウサイズ
Definition at line 522 of file GraphicsDeviceSettings.h. Referenced by Lamp::GraphicsDeviceSelector::buildWindowModeSettings(), and Lamp::GraphicsDevice::handlePossibleSizeChange().

The documentation for this class was generated from the following files:

- GraphicsDeviceSettings.h
- GraphicsDeviceSettings.cpp